io.etcd.jetcd.api

## Class WatchGrpc

- java.lang.Object
- - io.etcd.jetcd.api.WatchGrpc

    @Generated(value="by gRPC proto compiler (version 1.27.1)",
               comments="Source: rpc.proto")
    public final class WatchGrpc
    extends Object

### Nested Class Summary

Nested Classes
`static class` `WatchGrpc.WatchBlockingStub`
`static class` `WatchGrpc.WatchFutureStub`
`static class` `WatchGrpc.WatchImplBase`
`static class` `WatchGrpc.WatchStub`

### Field Summary

Fields
`static String` `SERVICE_NAME`

### Method Summary

All Methods Static Methods Concrete Methods
`static io.grpc.ServiceDescriptor` `getServiceDescriptor()`
`static io.grpc.MethodDescriptor<WatchRequest,WatchResponse>` `getWatchMethod()`
`static WatchGrpc.WatchBlockingStub` `newBlockingStub(io.grpc.Channel channel)` Creates a new blocking-style stub that supports unary and streaming output calls on the service
`static WatchGrpc.WatchFutureStub` `newFutureStub(io.grpc.Channel channel)` Creates a new ListenableFuture-style stub that supports unary calls on the service
`static WatchGrpc.WatchStub` `newStub(io.grpc.Channel channel)` Creates a new async stub that supports all call types for the service

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SERVICE_NAME

    public static final String SERVICE_NAME

See Also:
  Constant Field Values

### Method Detail

#### getWatchMethod

    public static io.grpc.MethodDescriptor<WatchRequest,WatchResponse> getWatchMethod()

#### newStub

    public static WatchGrpc.WatchStub newStub(io.grpc.Channel channel)

Creates a new async stub that supports all call types for the service

#### newBlockingStub

    public static WatchGrpc.WatchBlockingStub newBlockingStub(io.grpc.Channel channel)

Creates a new blocking-style stub that supports unary and streaming output calls on the service

#### newFutureStub

    public static WatchGrpc.WatchFutureStub newFutureStub(io.grpc.Channel channel)

Creates a new ListenableFuture-style stub that supports unary calls on the service

#### getServiceDescriptor

    public static io.grpc.ServiceDescriptor getServiceDescriptor()